Skip to main content
POST
/
v1
/
warranties
/
:id
/
reopen
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reopen' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
      mutation warrantyReopenMutation {
        warrantyReopen(id: "${warrantyId}") {
          warranty {
            id,
            status
          }
          userErrors {
            field
            message
          }
        }
      }
    `;
const warranties = await stateset.warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "reopened": true
}

Body

warranty_id
string
The ID provided in the data tab may be used to identify the warranty

Response

id
string
The ID provided in the data tab may be used to identify the warranty
object
string
The object type
success
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reopen' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
      mutation warrantyReopenMutation {
        warrantyReopen(id: "${warrantyId}") {
          warranty {
            id,
            status
          }
          userErrors {
            field
            message
          }
        }
      }
    `;
const warranties = await stateset.warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Reopen({
  '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "reopened": true
}